<template>
		<div class="content-bar col-md-12">

			<div id="threepoints2" class="content-title-2 col-md-3 col-xs-5" v-show="sidebar">
				<h4>{{ course.grade }}</h4>
				 <p>{{ course.title }}</p>
				<a id="threepoints" href="#" @click.prevent="toggleSidebar()"><i class="ti-more-alt" style="z-index:9999"></i></a>
			</div>

			<div id="progress-bar" :class="sidebar ? 'col-md-7 col-xs-6' : 'col-md-8 col-xs-8 offset-xs-2' " v-show="hasStartedSession">
				<span id="num-porcentaje" class=" topfloat-xs-left">{{ progressStep }}</span>
				<progress class="progress progress-rounded progress-info progress-sm" :value="progress" max="100"> {{ progressStep }}</progress>
			</div>
			<div class="content-star col-md-1 col-xs-1" v-show="hasStartedSession">
				<a href="#" class="active" @click.prevent="displayModal('favorite')">
					<i :class="this.session.favorite ? 'fa fa-star star-active' : 'fa fa-star' "></i>
				</a>
			</div>

	</div>
</template>

<script>
	import { mapGetters, mapActions  } 	from 'vuex'

	export default {
	  	  	computed: {  	
				...mapGetters([
				      'course',
				      'session',
				      'hasStartedSession',
				      'sidebar',
				      'modal',
				      'modaltype',
			]),
	  		progress(){
	  			return (this.session.slide_index + 1) / this.session.slides.length * 100
  			},
	  		progressStep(){
	  			return `${this.session.slide_index + 1 } | ${this.session.slides.length} páginas`
  			}
		},
			methods: {
			    ...mapActions([
				      'toggleFavorite',
				      'toggleSidebar',
				      'displayModal',
			    ]),
		}
}
</script>